<template>
  <div>
    <div v-for="commodity in commodities" v-bind:key="commodity.id" class="app-activity">
      <el-col type="flex" :span="5">
        <div class="icons-container">
          <svg-icon icon-class="white-leaf" />
        </div>
      </el-col>
      <el-col type="flex" :span="19">
        <div class="app-activity__title">{{commodity.plant_name}}</div>
        <transition appear>
          <el-progress :text-inside="true" :stroke-width="35" :percentage="parseFloat(commodity.percent).toFixed(2)"></el-progress>
        </transition>
        <div class="farmer-count farmer-count--percent">{{ parseFloat(commodity.percent).toFixed(2) }} %</div>
        <div class="farmer-count farmer-count--decimal">
          {{commodity.farmer_count}}
          <svg-icon icon-class="people-dark-green" />
        </div>
      </el-col>
    </div>
  </div>
</template>

<script>

export default {
  computed: {
    commodities: {
      get: function() {
        const commo = this.$store.getters.commodities;
        var fil_commo = [];
        var other_farmer_count = 0;
        var other_percent = 0;
        var i;
        for (i = 0; i < commo.length; i++) {
          if (i < 4) {
            fil_commo.push(commo[i])
          } else {
            other_farmer_count = other_farmer_count + commo[i]['farmer_count'];
            other_percent = other_percent + commo[i]['percent'];
          }
        }
        fil_commo.push({
          plant_name: 'Lainnya',
          percent: other_percent,
          farmer_count: other_farmer_count
        });
        return fil_commo;
      }
    }
  }
};
</script>
<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';

.app-activity {
  display: flex;
  flex-wrap: wrap;
  border-bottom: 1px solid $ritx-light-grey-3;
  padding-bottom: 16px;
  margin-bottom: 20px;

  &:last-of-type {
    border: none;
  }

  &__title {
    width: 60%;
    display: inline-block;
    margin-bottom: 10px;
    text-transform: capitalize;
  }
  &__link {
    width: 38%;
    text-align: right;
    display: inline-block;
  }
}
.icons-container {
  background-color: #76be40;
  padding: 10px;
  display: inline-block;
  margin-bottom: 10px;
  margin-right: 10px;
  border-radius: 6px;
  .svg-icon {
    width: 25px;
    height: 25px;
  }
}

.farmer-count {
  display: inline-block;
  color: $ritx-dark-green;
  font-weight: 700;
  margin-top: 10px;
  &--decimal {
    float: right;
  }
}

.detail-link {
  color: $ritx-orange;
  font-weight: 700;
}
</style>
